
Katello - Bug #5457

manifest refresh fails with error  undefined method 'library?'

04/25/2014 07:04 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

- undefined method 'library?'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue/pulp/repos.rb:287:in

`block in update_repositories'

- /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/delegation.rb:6:in

`each'

- /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/relation/delegation.rb:6:in

`each'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue/pulp/repos.rb:283:in

`update_repositories'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue/provider.rb:325:in

`block in refresh_existing_products'

- /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_proxy.rb:89:in

`each'

- /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/associations/collection_proxy.rb:89:in

`method_missing'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue/provider.rb:325:in

`refresh_existing_products'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue.rb:177:in

`execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue.rb:127:in

`block in process'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue.rb:114:in

`each'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue.rb:114:in

`process'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/glue.rb:36:in

`on_save'

- /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_9976'

- /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:403:in

`_run__1321004264140637480__save__1856040185187053199__callbacks'

- /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in

`__run_callback'

- /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in

`_run_save_callbacks'

- /opt/rh/ruby193/root/usr/share/gems/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in

`run_callbacks'

- /opt/rh/ruby193/root/usr/share/gems/gems/activerecord-3.2.8/lib/active_record/callbacks.rb:264:in

Associated revisions

Revision f8186ea3 - 04/25/2014 09:09 PM - Justin Sherrill

fixes #5457 - ignore content view archives repos during manifest actions

Revision 7baf8dfd - 04/28/2014 01:36 PM - Justin Sherrill
Merge pull request #4010 from jlsherrill/manifest

fixes #5457 - ignore content view archives repos during manifest actions

History

#1 - 04/28/2014 01:52 PM - Justin Sherrill

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:f8186ea3aead26ef4e529792e06487ae3129f566.

#2 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes
